
From: "Josef 'Jeff' Sipek" <jeffpc@optonline.net>

Simple clean up patch to remove double logical operators.



 drivers/char/sx.c |    8 ++++----
 1 files changed, 4 insertions(+), 4 deletions(-)

diff -puN drivers/char/sx.c~fix-sx-stupidity drivers/char/sx.c
--- 25/drivers/char/sx.c~fix-sx-stupidity	2003-12-20 23:46:44.000000000 -0800
+++ 25-akpm/drivers/char/sx.c	2003-12-20 23:46:44.000000000 -0800
@@ -509,13 +509,13 @@ static int sx_busy_wait_eq (struct sx_bo
 
 	func_enter ();
 
-	for (i=0; i < TIMEOUT_1 > 0;i++) 
+	for (i=0; i < TIMEOUT_1 ;i++)
 		if ((read_sx_byte (board, offset) & mask) == correctval) {
 			func_exit ();
 			return 1;
 		}
 
-	for (i=0; i < TIMEOUT_2 > 0;i++) {
+	for (i=0; i < TIMEOUT_2 ;i++) {
 		if ((read_sx_byte (board, offset) & mask) == correctval) {
 			func_exit ();
 			return 1;
@@ -535,13 +535,13 @@ static int sx_busy_wait_neq (struct sx_b
 
 	func_enter ();
 
-	for (i=0; i < TIMEOUT_1 > 0;i++) 
+	for (i=0; i < TIMEOUT_1 ;i++)
 		if ((read_sx_byte (board, offset) & mask) != badval) {
 			func_exit ();
 			return 1;
 		}
 
-	for (i=0; i < TIMEOUT_2 > 0;i++) {
+	for (i=0; i < TIMEOUT_2 ;i++) {
 		if ((read_sx_byte (board, offset) & mask) != badval) {
 			func_exit ();
 			return 1;

_
